public enum EAPtype { 
	EAP_TYPE_UNKNOWN(0),
	EAP_TYPE_IDENTITY(1),
	EAP_TYPE_NOTIFICATION(2),
	EAP_TYPE_NAK(3),
	EAP_TYPE_MD5CHALLENGE(4),
	EAP_TYPE_ONE_TIME_PASSWORD(5),
	EAP_TYPE_GENERIC_TOKEN_CARD(6),
	EAP_TYPE_TEST(130),
	EAP_TYPE_EXPANDED_TYPES(254),
	EAP_TYPE_EXPERIMENTAL(255);
	
	public int type;
	
	private EAPtype(int type) {
		this.type = type;
	}
	
	public int getValue() {
		return type;
	}

	public static EAPtype valueOf(int tp) {
		switch (tp) {
		case 0:	return EAP_TYPE_UNKNOWN;
		case 1: return EAP_TYPE_IDENTITY;
		case 2:	return EAP_TYPE_NOTIFICATION;
		case 3:	return EAP_TYPE_NAK;
		case 4:	return EAP_TYPE_MD5CHALLENGE;
		case 5:	return EAP_TYPE_ONE_TIME_PASSWORD;
		case 6:	return EAP_TYPE_GENERIC_TOKEN_CARD;
		case 130: return EAP_TYPE_TEST;
		case 254: return EAP_TYPE_EXPANDED_TYPES;
		default: return EAP_TYPE_EXPERIMENTAL;
		}
	}
}